<?php



namespace WpieApp\Core\Helpers;

defined( 'WPIE__FILE__' ) || exit;


trait Ajax {

        
        public static function isAjax() {
                return function_exists( 'wp_doing_ajax' ) ? \wp_doing_ajax() : defined( 'DOING_AJAX' ) && DOING_AJAX;
        }

        
        public static function isApiRequest() {

                $isAPi = Helper::sanitizeiKey( Helper::_post( 'is-api' ) );

                if ( Helper::isEmptyStr( $isAPi ) || absint( $isAPi ) !== 1 ) {
                        return false;
                }

                return Helper::isValidAjaxAction();
        }

        
        public static function isValidAjaxRequest() {

                if ( !self::isAjax() ) {
                        return true;
                }

                return Helper::isValidAjaxAction();
        }

        
        public static function isValidAjaxAction() {

                $action = Helper::sanitizeiKey( Helper::_post( 'action' ) );

                if ( Helper::isEmptyStr( $action ) || !Helper::strStartsWith( Helper::PLUGIN_PREFIX, $action ) ) {
                        return false;
                }

                return true;
        }

        
        public static function ajaxSuccess( $data = null ) {
                \wp_send_json_success( $data );
        }

        
        public static function ajaxError( $data = null ) {
                \wp_send_json_error( $data );
        }

        
        public static function ajaxResponse( $data = null ) {
                \is_wp_error( $data ) ? Helper::ajaxError( $data->get_error_message() ) : Helper::ajaxSuccess( $data );
        }

}
