<?php

namespace WpieApp\Core\Office\Converter;

use WpieApp\Core\Office\Reader\CSV\Reader;
use WpieApp\Core\Helpers\Helper;
use WpieApp\Core\Resource\Resource;

defined( 'ABSPATH' ) || exit;

class Csv2Json {

        
        private static $fp = null;

        
        private static $row = null;

        
        private static $reader = null;

        
        public static function convert( $source = "", $dest = "", $start = 0 ) {

                Resource::increase();

                self::$reader = new Reader();

                $isLoaded = self::$reader->load( $source );

                if ( \is_wp_error( $isLoaded ) ) {
                        return $isLoaded;
                }

                $filePath = self::writeJson( $dest, $start );

                self::$reader = null;

                return $filePath;
        }

        
        private static function writeJson( $file = "", $start = 0 ) {

                self::$fp = Helper::fOpen( $file, 'a' );

                if ( \is_wp_error( self::$fp ) ) {
                        return self::$fp;
                }

                if ( $start === 0 ) {
                        self::addHeader();
                } else {
                        self::$reader->goToRow( $start );
                }

                $currentRow = 0;

                $counter = 0;

                while ( self::$row = self::$reader->get() ) {

                        $counter++;

                        $seprator = ( $start === 0 && $counter <= 1) ? '' : ',';

                        fwrite( self::$fp, $seprator . Helper::jsonEncode( self::$row ) );

                        if ( Resource::isExceeded() ) {
                                $currentRow = self::$reader->getRowNumber();
                                break;
                        }
                }

                if ( $currentRow > 0 ) {
                        fclose( self::$fp );
                        return [ "file" => $file, "start" => $currentRow, "status" => "processing" ];
                }

                self::addFooter();

                fclose( self::$fp );

                return [ "file" => $file, "status" => "completed" ];
        }

        
        private static function addHeader() {

                fwrite( self::$fp, '[' );
        }

        
        private static function addFooter() {

                fwrite( self::$fp, ']' );
        }

}
