<?php


namespace WpieApp\Core\Page\Blocks\Fields;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Button {

        
        const TYPE = "button";

        
        const ATTR = [ 'type', 'id', 'class', 'readonly', 'disabled', 'required' ];

        
        public static function render( $field ) {

                $html = "";

                $field[ "class" ] = "btn " . (isset( $field[ "class" ] ) ? $field[ "class" ] : "");

                $field[ "type" ] = self::TYPE;

                foreach ( self::ATTR as $attr ) {

                        if ( !isset( $field[ $attr ] ) ) {
                                continue;
                        }

                        $field[ $attr ] = Helper::toString( $field[ $attr ] );

                        $html .= sprintf( ' %1$s="%2$s"', esc_attr( trim( $attr ) ), esc_attr( trim( $field[ $attr ] ) ) );
                }

                $label = isset( $field[ "label" ] ) ? $field[ "label" ] : "";
                //$html is already escaped in loop    
                ?>
                <button <?php echo $html; //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped            ?>>
                        <?php if ( isset( $field[ "icon-class" ] ) ) { ?>
                                <i class="bse-fs-14 me-1 <?php echo \esc_attr( trim( Helper::toString( $field[ "icon-class" ] ) ) ); ?>"></i>
                                <?php
                        }
                        echo \esc_html( trim( Helper::toString( $label ) ) );
                        ?></button>
                <?php
        }
}
