<?php


namespace WpieApp\Core\Page\Blocks\Fields;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class ExportField {

        
        const TYPE = "export-field";

        
        public static function render() {
                $uid = Helper::randStr( "wpie-modal-" );
                ?>
                <div class="mb-3">
                        <div class="mb-1 bse-fs-12 text-success">- <?php esc_html_e( 'Add new fields from the list of available fields', 'wp-import-export' ); ?></div>  
                        <div class="mb-1 bse-fs-12 text-success">- <?php esc_html_e( "You can add fields to manage fields by using the drag-and-drop feature or the 'Add Field' button from the available fields", 'wp-import-export' ); ?></div>  
                        <div class="mb-1 bse-fs-12 text-success">- <?php esc_html_e( 'Easily change the position of manage fields with drag-and-drop functionality.', 'wp-import-export' ); ?></div>                                                                                                    
                </div>
                <div class="row m-0 p-0">
                        <div class="col-12 col-lg-9 col-md-8 ps-0">
                                <div class="mb-3 bse-fs-18 border p-3 bg-white rounded-1"><?php esc_html_e( 'Manage Fields', 'wp-import-export' ); ?></div>
                                <div class="wpie-field-list-container" >
                                        <div class="row wpie-field-list border border-4 p-2 rounded-1 bse-border-dashed m-0 row-cols-lg-3 row-cols-md-2 row-cols-1 bse-fs-12" ></div>
                                </div>
                                <div class="mt-4">
                                        <button type="button" class="btn btn-primary wpie-add-new-field"><i class="fa-solid fa-plus bse-fs-14 me-1"></i><?php esc_html_e( 'Add', 'wp-import-export' ); ?></button>
                                        <button type="button" class="btn btn-primary mx-2 wpie-reset-manage-fields"><i class="fa-solid fa-rotate-left bse-fs-14 me-1"></i><?php esc_html_e( 'Reset', 'wp-import-export' ); ?></button>
                                        <button type="button" class="btn btn-danger wpie-remove-all-fields"><i class="fa-solid fa-times bse-fs-14 me-1"></i><?php esc_html_e( 'Remove All', 'wp-import-export' ); ?></button>
                                </div>
                        </div>
                        <div class="col-12 col-lg-3 col-md-4 p-0">
                                <div class="mb-3 bse-fs-18 border p-3 bg-white rounded-1"><?php esc_html_e( 'Available Fields', 'wp-import-export' ); ?></div>
                                <div class="wpie-field-showcase-container" ><div class="wpie-field-showcase accordion" ></div></div>
                        </div>
                </div>
                <div class="modal fade <?php echo esc_attr( $uid ); ?> wpie-edit-field-modal" aria-hidden="true">
                        <div class="modal-dialog  modal-dialog-centered modal-dialog-scrollable modal-lg">
                                <div class="modal-content">
                                        <div class="modal-header">
                                                <h5 class="modal-title" ><?php esc_html_e( 'Export', 'wp-import-export' ); ?></h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body pt-0">
                                                <div class="row p-3">
                                                        <div class="col p-4">
                                                                <div class="row g-5">
                                                                        <div class="col-12">
                                                                                <div class="row">
                                                                                        <div class="col-12 m-0 p-0">
                                                                                                <div class="wpie-field-label mb-3 border-bottom pb-2 bse-text-orange bse-fw-600 bse-fs-16"><?php esc_html_e( 'Label', 'wp-import-export' ); ?></div>
                                                                                        </div>
                                                                                        <div class="col-12 border p-4 rounded-1 bg-light mb-3">
                                                                                                <div class="wpie-field-description mb-3 bse-fs-14 text-secondary "><?php esc_html_e( 'Please Enter Field Label', 'wp-import-export' ); ?></div>
                                                                                                <div class="wpie-field" >
                                                                                                        <input type="text" class="form-control form-input wpie-edit-field-label" value="" >
                                                                                                </div>
                                                                                        </div>                                                             
                                                                                </div>
                                                                        </div>
                                                                        <div class="col-12">
                                                                                <div class="row">
                                                                                        <div class="col-12 m-0 p-0">
                                                                                                <div class="wpie-field-label mb-3 border-bottom pb-2 bse-text-orange bse-fw-600 bse-fs-16"><?php esc_html_e( 'Value', 'wp-import-export' ); ?></div>
                                                                                        </div>
                                                                                        <div class="col-12 border p-4 rounded-1 bg-light">
                                                                                                <div class="form-check">
                                                                                                        <input class="form-check-input wpie-single-field wpie-edit-field-type" name="wpie-settings[edit-field][field-type]" type="radio" id="wpie-single-field" checked="checked" value="single">
                                                                                                        <label class="form-check-label bse-fs-14" for="wpie-single-field"><?php esc_html_e( 'Single Field', 'wp-import-export' ); ?></label>
                                                                                                        <div class="form-check-child p-2">
                                                                                                                <div class="wpie-select-field" >
                                                                                                                        <select class="wpie-select form-control mw-100 wpie-edit-single-field"></select>
                                                                                                                </div>
                                                                                                        </div>
                                                                                                </div>
                                                                                                <div class="form-check">
                                                                                                        <input class="form-check-input wpie-multi-field wpie-edit-field-type" name="wpie-settings[edit-field][field-type]" type="radio" id="wpie-multi-field" value="multiple">
                                                                                                        <label class="form-check-label bse-fs-14" for="wpie-multi-field"><?php esc_html_e( 'Multiple Fields', 'wp-import-export' ); ?></label>
                                                                                                        <div class="form-check-child p-2">
                                                                                                                <div class="wpie-field-description mb-3 bse-fs-14 text-secondary"><?php esc_html_e( 'Use Drag and Drop field from Available Fields.', 'wp-import-export' ); ?></div>
                                                                                                                <div class="wpie-textarea-field" >
                                                                                                                        <textarea class="form-control wpie-edit-multi-field" rows="3"></textarea>
                                                                                                                </div>
                                                                                                        </div>
                                                                                                </div>
                                                                                        </div>
                                                                                </div>
                                                                        </div>
                                                                        <div class="col-12 wpie-edit-field-date-container">
                                                                                <div class="row">
                                                                                        <div class="col-12 m-0 p-0">
                                                                                                <div class="wpie-field-label mb-3 border-bottom pb-2 bse-text-orange bse-fw-600 bse-fs-16"><?php esc_html_e( 'Date Format', 'wp-import-export' ); ?></div>
                                                                                        </div>
                                                                                        <div class="col-12 border p-4 rounded-1 bg-light">
                                                                                                <div class="wpie-field-description mb-3 bse-fs-14 text-secondary"><?php esc_html_e( 'Default : Y-m-d H:i:s. Example 2023-12-31 05:05:05', 'wp-import-export' ); ?></div>
                                                                                                <div class="wpie-text-field" >
                                                                                                        <input type="text" class="form-control wpie-edit-field-date-format" value="" placeholder="Y-m-d H:i:s">
                                                                                                </div>
                                                                                        </div>
                                                                                </div>
                                                                        </div>
                                                                        <div class="col-12 d-none">
                                                                                <div class="row">
                                                                                        <div class="col-12 m-0 p-0">
                                                                                                <div class="wpie-field-label mb-3 border-bottom pb-2 bse-text-orange bse-fw-600 bse-fs-16"><?php esc_html_e( 'Change / Replace / Translate Exported Data', 'wp-import-export' ); ?></div>
                                                                                        </div>
                                                                                        <div class="col-12 border p-4 rounded-1 bg-light mb-3">
                                                                                                <div class="wpie-field-description mb-3 bse-fs-14 text-secondary"><?php esc_html_e( 'Example : Exported Value is "This is Games". Trancelate `Game` to `Sport Game`. Final Result is "This is Sport Game"', 'wp-import-export' ); ?></div>
                                                                                                <div class="row mb-3">
                                                                                                        <div class="col"><?php esc_html_e( 'From', 'wp-import-export' ); ?></div>
                                                                                                        <div class="col"><?php esc_html_e( 'To', 'wp-import-export' ); ?></div>
                                                                                                        <div class="col"></div>                                                                               
                                                                                                </div>
                                                                                                <div class="row">
                                                                                                        <div class="col">
                                                                                                                <div class="wpie-text-field" >
                                                                                                                        <input type="text" class="form-control" value="" >
                                                                                                                </div>
                                                                                                        </div>
                                                                                                        <div class="col">
                                                                                                                <div class="wpie-text-field" >
                                                                                                                        <input type="text" class="form-control" value="" >
                                                                                                                </div>
                                                                                                        </div>
                                                                                                        <div class="col">
                                                                                                                <span><img src="<?php echo esc_url( WPIE_ASSETS_URL . "/icons/remove.svg" ) ?>"></span>
                                                                                                        </div>
                                                                                                </div>
                                                                                        </div>                                                             
                                                                                </div>
                                                                        </div>                                                                
                                                                        <div class="col-12">
                                                                                <div class="row">
                                                                                        <div class="col-12 m-0 p-0">
                                                                                                <div class="wpie-field-label mb-3 border-bottom pb-2 bse-text-orange bse-fw-600 bse-fs-16"><?php esc_html_e( 'Apply PHP Function', 'wp-import-export' ); ?></div>
                                                                                        </div>
                                                                                        <div class="col-12 border p-4 rounded-1 bg-light mb-3">
                                                                                                <div class="wpie-field-description mb-3 bse-fs-14 text-secondary"><?php esc_html_e( 'Enter PHP Function name. It will apply to exported data.', 'wp-import-export' ); ?></div>
                                                                                                <div class="wpie-text-field" >
                                                                                                        <input type="text" class="form-control wpie-field-php-func"  value="" >
                                                                                                </div>
                                                                                        </div>
                                                                                </div>

                                                                        </div>

                                                                </div>
                                                        </div>
                                                        <div class="col bse-fs-12 pb-4  d-none wpie-multiple-field-available-container border-start">
                                                                <div class="mb-3 bse-fs-18 border p-3 bg-white rounded-1"><?php esc_html_e( 'Available Fields', 'wp-import-export' ); ?></div>
                                                                <div class="wpie-multiple-field-container accordion"></div>
                                                        </div>
                                                </div>
                                        </div>
                                        <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary btn-lg me-3" data-bs-dismiss="modal" aria-label="Close"><i class="me-1 fa-solid fa-xmark"></i><?php esc_html_e( 'Cancel', 'wp-import-export' ); ?></button>                                                
                                                <button type="button" class="btn btn-primary btn-lg wpie-save-field-btn me-3" data-bs-dismiss="modal" aria-label="Close"><i class="me-1 fa-solid fa-check"></i><?php esc_html_e( 'Save', 'wp-import-export' ); ?></button>                                                
                                        </div>
                                </div>
                        </div>
                </div>                
                <?php
        }

}
