<?php


namespace WpieApp\Core\Page\Blocks\Fields;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Core\Utils\Cron;

defined( 'WPIE__FILE__' ) || exit;


class ScheduleStatus {

        
        const TYPE = "schedule-status";

        
        public static function render( $field ) {

                $isActive = Cron::isActive();

                $statusClass = $isActive ? "text-success" : "text-danger";

                $status = $isActive ? __( 'Active', 'wp-import-export' ) : __( 'Inactive', 'wp-import-export' );
                ?>

                <div class="wpie-schedule-status-wrapper">
                        <div class="container border rounded-1 p-3 bg-light">

                                <div class="row mb-3">
                                        <div class="col-3">
                                                <?php esc_html_e( 'Status', 'wp-import-export' ); ?> 
                                        </div>
                                        <div class="col-auto ">
                                                <span class="bse-fs-16 bse-fw-600 <?php echo esc_attr( $statusClass ); ?> "><?php echo esc_html( $status ); ?> </span>
                                                <span class="text-danger bse-fs-12 <?php echo $isActive ? esc_attr( "d-none" ) : ""; ?>"><?php echo esc_html( " (" . __( 'Setup is required. Please refer to the "Setup Instructions" tab below.', 'wp-import-export' ) . ")" ); ?> </span>
                                        </div>
                                </div>
                                <div class="row">
                                        <div class="col-3">
                                                <?php esc_html_e( 'Schedule URL', 'wp-import-export' ); ?> 
                                        </div>
                                        <div class="col-auto text-primary">
                                                <?php echo esc_html( Cron::getUrl() ); ?>

                                        </div>
                                </div>

                        </div>

                </div>



                <?php
        }

}
