<?php


namespace WpieApp\Core\Page\Blocks\Fields;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Select {

        
        const TYPE = "select";

        
        const ATTR = [ 'id', 'class', 'name', 'data-placeholder', 'readonly', 'disabled', 'required' ];

        
        public static function render( $field ) {

                $html = "";

                $field[ "class" ] = "form-control form-select wpie-select mw-100 " . (isset( $field[ "class" ] ) ? $field[ "class" ] : "");

                if ( isset( $field[ "placeholder" ] ) ) {
                        $field[ "data-placeholder" ] = $field[ "placeholder" ];
                }

                foreach ( self::ATTR as $attr ) {

                        if ( !isset( $field[ $attr ] ) ) {
                                continue;
                        }

                        $field[ $attr ] = Helper::toString( $field[ $attr ] );

                        $html .= sprintf( ' %1$s="%2$s"', esc_attr( trim( $attr ) ), esc_attr( trim( $field[ $attr ] ) ) );
                }

                $default = isset( $field[ "default" ] ) && Helper::isNonEmptyArray( $field[ "default" ] ) ? $field[ "default" ] : [];

                $options = "";

                if ( isset( $field[ "placeholder" ] ) ) {
                        $options .= '<option></option>';
                }
                if ( isset( $field[ "choices" ] ) ) {

                        foreach ( $field[ "choices" ] as $val => $label ) {

                                $options .= sprintf( '<option value="%1$s" ' . \selected( in_array( $val, $default ), true, false ) . ' >%2$s</option>', \esc_attr( trim( $val ) ), \esc_html( trim( $label ) ) );
                        }
                }
                //$html and $options  are already escaped in loop  
                ?>

                <select <?php echo $html; //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>><?php echo $options;//phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></select>
                <?php
        }
}
