<?php



namespace WpieApp\Extensions\Export\Polylang\Controller\Items\Taxonomy\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\DataCenter;
use WpieApp\Extensions\Export\Polylang\Controller\Items\Base\DataCenters\Polylang as Base;

defined( 'WPIE__FILE__' ) || exit;


class Polylang extends Base {

        
        public static function getLanguage() {
                return \pll_get_term_language( DataCenter::getId() );
        }

        
        public static function getLanguageLabel() {

                return \pll_get_term_language( DataCenter::getId(), 'name' );
        }

        
        public static function getTranslations() {

                $termId = DataCenter::getId();

                $translations = \pll_get_term_translations( $termId );

                $data = [];

                if ( !Helper::isEmpty( $translations ) ) {

                        foreach ( $translations as $lang => $id ) {
                                if ( $termId === $id ) {
                                        continue;
                                }
                                $data[] = [ 'lang' => $lang, 'title' => \get_term_field( 'name', $id ) ];
                        }
                }

                unset( $translations );

                return Helper::isNonEmptyArray( $data ) ? Helper::jsonEncode( $data ) : '';
        }
}
