<?php



namespace WpieApp\Extensions\Export\Polylang\Controller;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\Polylang\Controller\Items\Post\Manager as Post;
use WpieApp\Extensions\Export\Polylang\Controller\Items\Taxonomy\Manager as Taxonomy;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function init() {

                \add_action( 'Wpie/Export/Post/Init', [ __CLASS__, 'initPost' ], 1, 2 );

                \add_action( 'Wpie/Export/Taxonomy/Init', [ __CLASS__, 'initTaxonomy' ], 1, 2 );
        }

        
        public static function initPost( $contentType = '', $category = '' ) {
                
                if ( !defined( 'PLLWC_VERSION' ) && 'wc' === $category ) {
                        return;
                }
                if ( !pll_is_translated_post_type( $contentType ) ) {
                        return;
                }

                Post::init();
        }

        
        public static function initTaxonomy( $contentType = '', $category = '' ) {

                if ( !defined( 'PLLWC_VERSION' ) && 'wc' === $category ) {
                        return;
                }
                if ( !pll_is_translated_taxonomy( $contentType ) ) {
                        return;
                }

                Taxonomy::init();
        }
}
