<?php



namespace WpieApp\Extensions\Export\RankMathSeo\Controller\Items\Post\DataCenters;

use RankMath\Helper as RankMathHelper;
use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Redirect {

        
        private static $isModuleActive = null;

        
        private static $data = [];

        
        public static function getField() {

                if ( !self::isModuleActive() ) {
                        return '';
                }

                $element = DataCenter::getFieldOption( "element" );

                if ( !Helper::isNonEmptyStr( $element ) ) {
                        return "";
                }

                $key = Helper::leftTrim( $element, 'redirect-' );

                self::setData();

                $postId = DataCenter::getId();

                return isset( self::$data[ $postId ]->$key ) ? self::$data[ $postId ]->$key : "";
        }

        
        private static function setData() {

                $postId = DataCenter::getId();

                if ( isset( self::$data[ $postId ] ) ) {
                        return;
                }

                self::$data = [ $postId => self::getRedirects() ];
        }

        
        private static function getRedirects() {

                $postId = DataCenter::getId();

                $data = DB::wpdb()->get_row( DB::wpdb()->prepare( "select `status`,`url_to`,`header_code` from " . DB::table( 'rank_math_redirections' ) . " Where `id` IN ( select `redirection_id` from " . DB::table( 'rank_math_redirections_cache' ) . " Where `object_id` = %d AND `object_type` = 'post') limit 0,1 ", $postId ) );

                if ( Helper::isEmpty( $data ) ) {
                        return [];
                }
                return $data;
        }

        
        private static function isModuleActive() {

                if ( !is_null( self::$isModuleActive ) ) {
                        return self::$isModuleActive;
                }

                self::$isModuleActive = (RankMathHelper::is_module_active( 'redirections' ) && DB::wpdb()->get_var( DB::wpdb()->prepare( "SHOW TABLES LIKE %s", DB::table( 'rank_math_redirections_cache' ) ) ) === DB::table( 'rank_math_redirections_cache' ) );

                return self::$isModuleActive;
        }
}
