<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Attribute;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Manager as Taxonomy;

defined( 'WPIE__FILE__' ) || exit;


class Manager extends Taxonomy {

        
        public static function get( $option = "data" ) {

                \add_filter( 'Wpie/Settings/ContentType', [ __CLASS__, 'updateContentType' ], 999 );

                return parent::get( $option );
        }

        
        protected static function init( $option = "data" ) {

                if ( $option === 'fields' ) {
                        return Helper::sortBy( Fields::get(), "priority" );
                }
                if ( $option === 'import-config' ) {
                        return ImportConfig::get();
                }

                return Engine::init( $option );
        }

        
        public static function set() {

                $attributes = Helper::_post( 'wpie-settings/wc/attribute/data' );

                if ( !Helper::isNonEmptyArray( $attributes ) ) {

                        $attributes = [];

                        $taxonomies = \wc_get_attribute_taxonomies();

                        if ( Helper::isNonEmptyArray( $taxonomies ) ) {

                                foreach ( $taxonomies as $taxonomy ) {
                                        $attributes[] = isset( $taxonomy->attribute_name ) ? \wc_attribute_taxonomy_name( $taxonomy->attribute_name ) : '';
                                }
                        }
                }

                Settings::setOption( 'wc/attributes', Helper::isNonEmptyArray( $attributes ) ? array_filter( array_values( $attributes ) ) : [] );
        }

        
        public static function updateContentType( $contentType = "data" ) {

                $attributes = Settings::getOption( 'wc/attributes' );

                if ( !Helper::isNonEmptyArray( $attributes ) ) {

                        self::set();

                        $newAttributes = Settings::getOption( 'wc/attributes' );

                        $attributes = Helper::isNonEmptyArray( $newAttributes ) ? $newAttributes : [];
                }

                return Helper::isNonEmptyArray( $attributes ) ? array_filter( array_values( $attributes ) ) : [];
        }
}
