<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Coupon\Fields;

use WpieApp\Modules\Export\Controller\Items\Post\Fields\Meta as PostMeta;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class UsageLimits implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Usage Limits", 'wp-import-export' ),
                        "priority" => 25,
                        "data"     => [
                                [ 'label' => 'Usage limit per coupon', 'type' => PostMeta::FIELD_TYPE, 'element' => 'usage_limit' ],
                                [ 'label' => 'Limit usage to X items', 'type' => PostMeta::FIELD_TYPE, 'element' => 'limit_usage_to_x_items' ],
                                [ 'label' => 'Usage limit per user', 'type' => PostMeta::FIELD_TYPE, 'element' => 'usage_limit_per_user' ]
                        ]
                ];

                
                return \apply_filters( 'Wpie/Export/Coupon/Fields/Usage/Limits', $fields );
        }

}
