<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Customer;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Customer\Fields\Standard;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Customer\Fields\Billing;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Customer\Fields\Shipping;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Customer\Fields\Meta;
use WpieApp\Modules\Export\Controller\Items\Base\Fields as BaseFields;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends BaseFields {

        
        public static function get() {

                $contentType = Settings::getContentType();

                
                \do_action( 'Wpie/Export/Customer/Fields/Init', $contentType );

                
                return \apply_filters( 'Wpie/Export/Customer/Fields', parent::get(), $contentType );
        }

        
        protected static function getData() {

                return [
                        "standard" => Standard::get(),
                        "billing"  => Billing::get(),
                        "shipping" => Shipping::get(),
                        "meta"     => Meta::get()
                ];
        }
}
