<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Customer\Fields;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\User\Fields\Meta as UserMeta;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Billing implements InterfaceField {

        
        public static function get() {

                $fields = [
                        "title"    => \esc_html__( "Billing Address", 'wp-import-export' ),
                        "priority" => 14,
                        "data"     => Helper::getNormalizedField( self::getMeta(), UserMeta::FIELD_TYPE, true )
                ];

                
                return \apply_filters( 'Wpie/Export/Customer/Fields/Billing', $fields );
        }

        
        public static function getMeta() {

                $keys = [
                        'billing_first_name', 'billing_last_name', 'billing_company',
                        'billing_address_1', 'billing_address_2', 'billing_city',
                        'billing_postcode', 'billing_country', 'billing_state',
                        'billing_email', 'billing_phone'
                ];

                
                return \apply_filters( 'Wpie/Export/Customer/Fields/Other/Billing', $keys );
        }

}
