<?php



namespace WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\Fields as PostFields;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\Fields\Standard;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\Fields\Product;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\Fields\Meta;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\Fields\Taxonomy;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\Fields\Image;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\Fields\Attribute;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\Fields\Attachment;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\Fields\Author;
use WpieApp\Extensions\Export\WooCommerce\Controller\Items\Product\Fields\Other;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends PostFields {

        
        protected static function getData() {

                $contentType = Settings::getContentType();

                
                \do_action( 'Wpie/Export/Product/Fields/Init', $contentType );

                $fields = [
                        "standard"   => Standard::get(),
                        "product"    => Product::get(),
                        "meta"       => Meta::get(),
                        "taxonomy"   => Taxonomy::get(),
                        "image"      => Image::get(),
                        "attribute"  => Attribute::get(),
                        "attachment" => Attachment::get(),
                        "author"     => Author::get(),
                        "other"      => Other::get()
                ];

                
                return \apply_filters( 'Wpie/Export/Product/Fields', $fields, $contentType );
        }

}
