<?php



namespace WpieApp\Extensions\Import\Acf\Controller\Items\Base\Engines;

use WpieApp\Core\Utils\Date;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Modules\Import\Controller\Items\Base\Engines\Images\Source;
use WpieApp\Modules\Import\Controller\Items\Base\Engines\Images\Gallery;

defined( 'WPIE__FILE__' ) || exit;


class Advanced extends Base {

        
        protected static $fieldTypes = [ 'color_picker', 'date_picker', 'date_time_picker', 'google_map', 'icon_picker', 'time_picker' ];

        
        public static function getData() {

                switch ( static::$fieldType ) {

                        case 'date_picker':
                                static::$data = Date::get( static::$data, 'Ymd' );
                                break;

                        case 'date_time_picker':
                                static::$data = Date::get( static::$data );
                                break;

                        case 'google_map':
                                $tempData     = Helper::jsonDecode( static::$data, true );
                                static::$data = (is_array( $tempData ) && isset( $tempData[ 'address' ] )) ? $tempData : '';
                                break;
                        
                        case 'icon_picker':
                                static::$data = Helper::jsonDecode( static::$data, true );
                                break;

                        case 'time_picker':
                                static::$data = Date::get( static::$data, 'H:i:s' );
                                break;
                }

                return parent::getData();
        }
}
