<?php



namespace WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields;

use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced\NoIndex;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced\NoFollow;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced\NoArchive;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced\NoTranslate;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced\NoImageIndex;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced\NoSnippet;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced\NoOdp;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced\MaxSnippet;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced\MaxVideoPreview;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced\MaxImagePreview;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced\CanonicalUrl;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced\Priority;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced\Frequency;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced\Keywords;
use WpieApp\Extensions\Import\AllInOneSeo\Controller\Items\Base\Fields\Advanced\DefaultSettings;

defined( 'WPIE__FILE__' ) || exit;


class Advanced implements InterfaceField {

        
        public static function get() {

                return [
                        "label"        => __( 'All In One SEO - Advanced', 'wp-import-export' ),
                        "class"        => "wpie-allinoneseo-advanced-fields",
                        "order"        => 32.5,
                        "pro-backdrop" => WPIE_PRO ? false : true,
                        "blocks"       => static::getFields()
                ];
        }

        
        protected static function getFields() {

                return [
                        "allinoneseo/advanced/robots_default"    => DefaultSettings::getBlocks(),
                        "allinoneseo/advanced/noindex"           => NoIndex::getBlocks(),
                        "allinoneseo/advanced/nofollow"          => NoFollow::getBlocks(),
                        "allinoneseo/advanced/noarchive"         => NoArchive::getBlocks(),
                        "allinoneseo/advanced/notranslate"       => NoTranslate::getBlocks(),
                        "allinoneseo/advanced/noimageindex"      => NoImageIndex::getBlocks(),
                        "allinoneseo/advanced/nosnippet"         => NoSnippet::getBlocks(),
                        "allinoneseo/advanced/noodp"             => NoOdp::getBlocks(),
                        "allinoneseo/advanced/max_snippet"       => MaxSnippet::getBlocks(),
                        "allinoneseo/advanced/max_video_preview" => MaxVideoPreview::getBlocks(),
                        "allinoneseo/advanced/max_image_preview" => MaxImagePreview::getBlocks(),
                        "allinoneseo/advanced/canonical_url"     => CanonicalUrl::getBlocks(),
                        "allinoneseo/advanced/priority"          => Priority::getBlocks(),
                        "allinoneseo/advanced/frequency"         => Frequency::getBlocks(),
                        "allinoneseo/advanced/keywords"          => Keywords::getBlocks(),
                ];
        }
}
