<?php



namespace WpieApp\Extensions\Import\Polylang\Controller\Items\Term;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\Polylang\Controller\Items\Term\Fields\Multilingual;

defined( 'WPIE__FILE__' ) || exit;


class Fields {

        
        public static function init() {
               
                \add_filter( 'Wpie/Import/Base/Fields', [ __CLASS__, 'get' ], 1, 2 );
        }

        
        public static function get( $fields = [], $type = '' ) {
                
               
                $fields[ "polylang" ] = Multilingual::get();

                return  $fields;
        }
        
        
        public static function removeFilters() {

                if ( static::$filterRemoved ) {
                        return;
                }
                
                static::$filterRemoved = true;

                global $polylang;

                // Filters posts, pages and media by language
                remove_action( 'parse_query', array( \PLL()->filters, 'parse_query' ) );

                remove_action( 'save_post', [ \PLL()->post, 'save_post' ], 10 );
                remove_action( 'set_object_terms', [ \PLL()->post, 'set_object_terms' ], 10 );
                remove_filter( 'wp_insert_post_parent', [ \PLL()->post, 'wp_insert_post_parent' ], 10 );
                remove_action( 'before_delete_post', [ \PLL()->post, 'delete_post' ] );

                // Specific for media
                if ( $polylang->options[ 'media_support' ] ) {
                        remove_action( 'add_attachment', [ \PLL()->post, 'set_default_language' ] );
                        remove_action( 'delete_attachment', [ \PLL()->post, 'delete_post' ] );
                        remove_filter( 'wp_delete_file', [ \PLL()->post, 'wp_delete_file' ] );
                }
        }
}
