<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Facebook {

        
        public static function get() {

                $data = [];

                if ( DataCenter::canUpdate( 'rankmathseo/facebook/title' ) ) {
                        $data[ "facebook_title" ] = DataCenter::get( "rankmathseo/facebook/title/data" );
                }

                if ( DataCenter::canUpdate( 'rankmathseo/facebook/description' ) ) {
                        $data[ "facebook_description" ] = DataCenter::get( "rankmathseo/facebook/description/data" );
                }

                if ( DataCenter::canUpdate( 'rankmathseo/facebook/image' ) ) {
                        $data[ "facebook_image" ] = DataCenter::get( "rankmathseo/facebook/image/data" );
                }

                if ( DataCenter::canUpdate( 'rankmathseo/facebook/enable_image_overlay' ) ) {

                        $val = DataCenter::get( "rankmathseo/facebook/enable_image_overlay/data" );

                        $data[ "facebook_enable_image_overlay" ] = ( Helper::detectBoolVal( $val ) === false ? "off" : "on" );
                }

                if ( DataCenter::canUpdate( 'rankmathseo/facebook/image_overlay' ) ) {

                        $val = DataCenter::get( "rankmathseo/facebook/image_overlay/data" );

                        $data[ "facebook_image_overlay" ] = Helper::autoFixStr( $val, [ "play", "gif" ] );
                }

                return $data;
        }
}
