<?php



namespace WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Logger;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;
use WpieApp\Extensions\Import\RankMathSeo\Controller\Items\Base\Engine;

defined( 'WPIE__FILE__' ) || exit;


class Schema {

        
        public static function get() {

                if ( !DataCenter::canUpdate( 'rankmathseo/schema/schema' ) ) {

                        return [];
                }

                $input = DataCenter::get( "rankmathseo/schema/schema/data" );

                if ( !Helper::isNonEmptyStr( $input ) ) {

                        return [];
                }

                $schema = Helper::jsonDecode( $input, true );

                if ( \is_wp_error( $schema ) ) {

                        Logger::log( "<strong>" . __( "ERROR", 'wp-import-export' ) . "</strong> : " . $schema->get_error_message() );

                        return [];
                }
                $data = [];

                foreach ( $schema as $schemaData ) {

                        $name = isset( $schemaData[ 'name' ] ) ? $schemaData[ 'name' ] : '';

                        $val = isset( $schemaData[ 'data' ] ) ? $schemaData[ 'data' ] : [];

                        if ( !Helper::isNonEmptyStr( $name ) || !Helper::isNonEmptyArray( $val ) ) {
                                continue;
                        }

                        $data[ Helper::leftTrim( $name, Engine::PREFIX ) ] = $val;
                }

                return $data;
        }
}
