<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Attribute;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Controller\Items\Term\Manager as TermManager;

defined( 'WPIE__FILE__' ) || exit;


class Manager extends TermManager {

        
        public static function getFields() {

                
                \do_action( 'Wpie/Import/WooCommerce/Attribute/Init/Fields', Settings::getContentType() );

                return Fields::get();
        }

        
        public static function initEngine() {

                
                \do_action( 'Wpie/Import/WooCommerce/Attribute/Init/Engine', Settings::getContentType() );

                return Engine::init();
        }

        
        public static function getAutoLoadFields() {

                
                \do_action( 'Wpie/Import/WooCommerce/Attribute/Init/AutoLoadFields', Settings::getContentType() );

                return AutoDetect::get();
        }

        
        public static function get( $option = "data" ) {

                $taxonomyLabel = Settings::getOption( 'taxonomy/label' );

                if ( !Helper::isNonEmptyStr( $taxonomyLabel ) ) {
                        Settings::setOption( 'taxonomy/label', 'Term' );
                }

                return parent::get( $option );
        }
}
