<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Engines;

use WpieApp\Core\Utils\Date;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Standard {

        
        public static function update() {


                if ( DataCenter::canUpdate( 'standard/discount-type' ) ) {

                        $types = \wc_get_coupon_types();

                        $discountType = strtolower( DataCenter::get( "standard/discount-type/data" ) );

                        Meta::update( 'discount_type', ('' === $discountType ) ? '' : Helper::autoFixStr( $discountType, array_keys( $types ), 7 )  );
                }

                if ( DataCenter::canUpdate( 'standard/amount' ) ) {

                        $amount = DataCenter::get( "standard/amount/data" );

                        Meta::update( 'coupon_amount', Helper::toNumber( $amount ) );
                }

                if ( DataCenter::canUpdate( 'standard/allow-free-shipping' ) ) {

                        $freeShipping = DataCenter::get( "standard/allow-free-shipping/data" );

                        Meta::update( 'free_shipping', Helper::detectBoolVal( $freeShipping ) === true ? 'yes' : 'no'  );
                }

                if ( DataCenter::canUpdate( 'standard/expiry-date' ) ) {

                        $expiryDate = DataCenter::get( "standard/expiry-date/data" );

                        $expiryDate = Helper::isNonEmptyStr( $expiryDate ) ? strtotime( Date::get( $expiryDate ) ) : '';

                        Meta::update( 'date_expires', $expiryDate );
                }
        }

}
