<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Billing\FirstName;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Billing\LastName;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Billing\Company;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Billing\Address1;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Billing\Address2;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Billing\City;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Billing\Postcode;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Billing\Country;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Billing\State;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Billing\Email;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Fields\Billing\Phone;

defined( 'WPIE__FILE__' ) || exit;


class Billing implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Customer/Fields/Billing', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Billing Address', 'wp-import-export' ),
                        "class"  => "wpie-wc-billing-fields",
                        "order"  => 20,
                        "blocks" => [
                                "billing/first_name" => FirstName::getBlocks(),
                                "billing/last_name"  => LastName::getBlocks(),
                                "billing/company"    => Company::getBlocks(),
                                "billing/address_1"  => Address1::getBlocks(),
                                "billing/address_2"  => Address2::getBlocks(),
                                "billing/city"       => City::getBlocks(),
                                "billing/postcode"   => Postcode::getBlocks(),
                                "billing/country"    => Country::getBlocks(),
                                "billing/state"      => State::getBlocks(),
                                "billing/email"      => Email::getBlocks(),
                                "billing/phone"      => Phone::getBlocks(),
                        ]
                ];
        }

}
