<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\DataCenter;
use WpieApp\Modules\Import\Controller\Items\User\Search;

defined( 'WPIE__FILE__' ) || exit;


class Customer {

        
        public static function update() {

                self::updateCustomer();

                if ( DataCenter::canUpdate( "customer/ip-adress" ) ) {
                        DataCenter::getItem()->set_customer_ip_address( DataCenter::get( "customer/ip-adress/data" ) );
                }
                if ( DataCenter::canUpdate( "customer/note" ) ) {
                        DataCenter::getItem()->set_customer_note( DataCenter::get( "customer/note/data" ) );
                }
                if ( DataCenter::canUpdate( "customer/user-agent" ) ) {
                        DataCenter::getItem()->set_customer_user_agent( DataCenter::get( "customer/user-agent/data" ) );
                }
        }

        
        private static function updateCustomer() {

                if ( !DataCenter::canUpdate( "customer/user" ) ) {
                        return;
                }

                $data = DataCenter::get( "customer/user/data" );

                if ( !Helper::isNonEmptyStr( $data ) ) {
                        return;
                }

                $id = Search::getUserIdBy( 'email', $data );

                if ( $id < 1 ) {
                        $id = Search::getUserIdBy( 'login', $data );
                }

                DataCenter::getItem()->set_customer_id( $id );
        }

}
