<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Customer\User;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Customer\IP;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Customer\Note;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Fields\Customer\UserAgent;

defined( 'WPIE__FILE__' ) || exit;


class Customer implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/WooCommerce/Order/Fields/Customer', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Customer', 'wp-import-export' ),
                        "class"  => "wpie-customer-fields",
                        "order"  => 20,
                        "blocks" => [
                                "customer/user"       => User::getBlocks(),
                                "customer/ip-adress"  => IP::getBlocks(),
                                "customer/note"       => Note::getBlocks(),
                                "customer/user-agent" => UserAgent::getBlocks(),
                        ]
                ];
        }

}
