<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\DataAndVisibility\Featured;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\DataAndVisibility\Visibility;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\DataAndVisibility\Virtual;

defined( 'WPIE__FILE__' ) || exit;


class DataAndVisibility implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Product/Fields/DataAndVisibility', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Data And Visibility', 'wp-import-export' ),
                        "class"  => "wpie-wc-data-and-visibility-fields",
                        "order"  => 12.05,
                        "blocks" => [
                                "data-and-visibility/virtual"    => Virtual::getBlocks(),
                                "data-and-visibility/featured"   => Featured::getBlocks(),
                                "data-and-visibility/visibility" => Visibility::getBlocks(),
                        ]
                ];
        }

}
