<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\LinkedProducts\UpSells;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\LinkedProducts\CrossSells;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\LinkedProducts\Grouped;

defined( 'WPIE__FILE__' ) || exit;


class LinkedProducts implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Product/Fields/LinkedProducts', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Linked Products', 'wp-import-export' ),
                        "class"  => "wpie-wc-linked-products-fields",
                        "order"  => 12.10,
                        "blocks" => [
                                "linked-products/upsells"     => UpSells::getBlocks(),
                                "linked-products/cross-sells" => CrossSells::getBlocks(),
                                "linked-products/grouped"     => Grouped::getBlocks(),
                        ]
                ];
        }

}
