<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Price\Regular;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Price\Sale;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Price\Dates;

defined( 'WPIE__FILE__' ) || exit;


class Price implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Product/Fields/Price', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Price', 'wp-import-export' ),
                        "class"  => "wpie-wc-price-fields",
                        "order"  => 12.01,
                        "blocks" => [
                                "price/regular" => Regular::getBlocks(),
                                "price/sale"    => Sale::getBlocks(),
                                "price/date"    => Dates::getBlocks(),
                        ]
                ];
        }

}
