<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Shipping;

use WpieApp\Modules\Import\Controller\Settings;
use Automattic\WooCommerce\Utilities\I18nUtil;

defined( 'WPIE__FILE__' ) || exit;


class Weight {

        
        public static function getBlocks() {

                return [
                        "title"    => __( 'Weight', 'wp-import-export' ),
                        "desc"     => __( 'Product Weight', 'wp-import-export' ),
                        "order"    => 10,
                        "isActive" => true,
                        "fields"   => [
                                "weight" => [
                                        "order"      => 10,
                                        "label"      => __( 'Product Weight', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "weight" => [
                                                        /* translators: %s: weight unit */
                                                        "description" => sprintf( __( 'Product weight ( %s )', 'wp-import-export' ), self::getUnit() ),
                                                        "name"        => "fields/shipping/weight/data",
                                                        "type"        => "textarea",
                                                ]
                                        ],
                                ],
                        ]
                ];
        }

        
        public static function getUnit() {

                $unit = get_option( 'woocommerce_weight_unit', 'kg' );

                if ( !class_exists( '\Automattic\WooCommerce\Utilities\I18nUtil' ) ) {
                        return $unit;
                }
                return I18nUtil::get_weight_unit_label( $unit );
        }
}
