<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Standard as PostStandard;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Standard\Title;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Standard\Content;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Standard\Excerpt;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Standard\Date;
use WpieApp\Modules\Import\Controller\Items\Post\Fields\Standard\Slug;

defined( 'WPIE__FILE__' ) || exit;


class Standard extends PostStandard implements InterfaceField {

        
        public static function getFields() {

                return [
                        "label"  => __( 'Standard', 'wp-import-export' ),
                        "class"  => "wpie-standard-fields",
                        "order"  => 10,
                        "blocks" => [
                                "standard/title"   => Title::getBlocks(),
                                "standard/content" => Content::getBlocks(),
                                "standard/excerpt" => Excerpt::getBlocks(),
                                "standard/date"    => Date::getBlocks(),
                                "standard/slug"    => Slug::getBlocks(),
                        ]
                ];
        }

}
