<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields;

use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Import\Controller\Items\Base\Fields\InterfaceField;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Stock\Quantity;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Stock\Status;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Stock\ManageStock;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Stock\LowStockThreshold;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Stock\Backorders;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Stock\SoldIndividually;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Stock\SKU;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Fields\Stock\GTIN;

defined( 'WPIE__FILE__' ) || exit;


class Stock implements InterfaceField {

        
        public static function get() {

                
                return \apply_filters( 'Wpie/Import/Product/Fields/Stock', static::getFields(), Settings::getContentType() );
        }

        
        public static function getFields() {

                return [
                        "label"  => __( 'Stock', 'wp-import-export' ),
                        "class"  => "wpie-wc-stock-fields",
                        "order"  => 12.02,
                        "blocks" => [
                                "stock/quantity"            => Quantity::getBlocks(),
                                "stock/status"              => Status::getBlocks(),
                                "stock/manage"              => ManageStock::getBlocks(),
                                "stock/sku"                 => SKU::getBlocks(),
                                "stock/gtin"                => GTIN::getBlocks(),
                                "stock/low-stock-threshold" => LowStockThreshold::getBlocks(),
                                "stock/backorders"          => Backorders::getBlocks(),
                                "stock/sold-individually"   => SoldIndividually::getBlocks(),
                        ]
                ];
        }
}
