<?php



namespace WpieApp\Extensions\Import\WooCommerce\Controller;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Product\Manager as Product;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Category\Manager as Category;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Tag\Manager as Tag;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Order\Manager as Order;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Coupon\Manager as Coupon;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Review\Manager as Review;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Attribute\Manager as Attribute;
use WpieApp\Extensions\Import\WooCommerce\Controller\Items\Customer\Manager as Customer;
use WpieApp\Extensions\Import\WooCommerce\Controller\ContentType\Manager as ContentType;

defined( 'WPIE__FILE__' ) || exit;


class Manager {

        
        public static function init() {

                \add_filter( 'Wpie/Import/Custom', [ __CLASS__, 'get' ], 1, 4 );

                \add_filter( 'Wpie/Import/ContentType/AutoDetect', [ __CLASS__, 'autoDetect' ] );
        }

        
        public static function get( $data = '', $category = '', $contentType = '', $option = '' ) {

                if ( 'wc' !== $category ) {
                        return $data;
                }

                if ( 'product' === $contentType ) {
                        return Product::get( $option );
                }
                if ( 'shop_customer' === $contentType ) {
                        return Customer::get( $option );
                }
                if ( 'product_reviews' === $contentType ) {
                        return Review::get( $option );
                }
                if ( 'product_cat' === $contentType ) {
                        return Category::get( $option );
                }
                if ( 'product_tag' === $contentType ) {
                        return Tag::get( $option );
                }
                if ( 'shop_coupon' === $contentType ) {
                        return Coupon::get( $option );
                }
                if ( 'shop_order' === $contentType ) {
                        return Order::get( $option );
                }
                if ( 'attribute' === $contentType ) {
                        return Attribute::get( $option );
                }


                return $data;
        }

        
        public static function autoDetect( $autoDetect = false ) {

                if ( $autoDetect ) {
                        return $autoDetect;
                }

                return ContentType::detect();
        }
}
