<?php



namespace WpieApp\Extensions\Import\YoastSeo\Controller\Items\Post\Engines;

use WPSEO_Video_Utils;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Video {

        
        private static $cache = [];

        
        public static function get() {

                if ( !self::isVideoseoActiveForPosttype( DataCenter::getItem()->post_type ) ) {
                        return [];
                }

                $data = [];

                if ( DataCenter::canUpdate( 'yoastseo/video/thumbnail' ) ) {

                        $thumbnail = DataCenter::get( "yoastseo/video/thumbnail/data" );

                        $data[ 'videositemap-thumbnail' ] = Helper::isNonEmptyStr( $thumbnail ) ? \esc_url( $thumbnail ) : '';
                }
                if ( DataCenter::canUpdate( 'yoastseo/video/duration' ) ) {

                        $data[ 'videositemap-duration' ] = DataCenter::get( "yoastseo/video/duration/data" );
                }
                if ( DataCenter::canUpdate( 'yoastseo/video/tags' ) ) {

                        $data[ 'videositemap-tags' ] = DataCenter::get( "yoastseo/video/tags/data" );
                }
                if ( DataCenter::canUpdate( 'yoastseo/video/family_friendly' ) ) {

                        $val = DataCenter::get( "yoastseo/video/family_friendly/data" );

                        $data[ 'videositemap-not-family-friendly' ] = Helper::detectBoolVal( $val ) === false ? "off" : "on";
                }
                
                return $data;
        }

        
        public static function isVideoseoActiveForPosttype( $postType = '' ) {

                if ( !class_exists( '\WPSEO_Video_Utils' ) ) {
                        return false;
                }
                
                if ( !Helper::isNonEmptyStr( $postType ) ) {
                        return false;
                }

                if ( !isset( self::$cache[ $postType ] ) ) {
                        self::$cache[ $postType ] = WPSEO_Video_Utils::is_videoseo_active_for_posttype( $postType );
                }

                return self::$cache[ $postType ];
        }
}
