<?php

namespace WpieApp\Modules\Background;

use WpieApp\Core\Utils\DB;
use WpieApp\Core\Utils\Date;
use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Background as BackgroundExport;
use WpieApp\Modules\Import\Controller\Background as BackgroundImport;

defined( 'WPIE__FILE__' ) || exit;


class Cron {

        
        public static function init() {

                self::unlockProcess();

                self::startProcess();
        }

        
        private static function unlockProcess() {

                $timeLimit = Date::getCoreDate( Date::FORMAT, strtotime( '-5 minutes', strtotime( Date::now() ) ) );

                DB::wpdb()->query( DB::wpdb()->prepare( "UPDATE " . DB::getPluginTable() . " SET `is_locked` = '0' where `is_locked` = '1' AND `updated_date` < %s ", $timeLimit ) );
        }

        
        private static function startProcess() {

                $data = DB::wpdb()->get_row( "SELECT `process`,`id` FROM " . DB::getPluginTable() . " where `process_type` = 'background' AND `is_locked` = '0' AND `status` NOT IN ( 'paused','completed', 'cancelled', 'failed', 'stopped' ) ORDER BY `id` ASC LIMIT 0,1", ARRAY_A );

                $id = isset( $data[ 'id' ] ) ? $data[ 'id' ] : "";

                if ( absint( $id ) < 1 ) {
                        return;
                }
                $process = isset( $data[ 'process' ] ) ? $data[ 'process' ] : "";

                if ( $process === "export" ) {
                        return BackgroundExport::run( $id );
                } elseif ( $process === "import" ) {
                        return BackgroundImport::run( $id );
                }
        }
}
