<?php



namespace WpieApp\Modules\Export\Controller\Items\Base\DataCenters;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Media {

        
        public static function getData( $images = [], $element = "" ) {

                if ( !Helper::isNonEmptyArray( $images ) ) {
                        return "";
                }

                $data = [];

                foreach ( $images as $id ) {
                        $data[] = self::getVal( $id, $element );
                }

                return Helper::arrTostr( $data, "||" );
        }

        
        public static function getVal( $id = 0, $element = "" ) {

                $data = "";

                switch ( $element ) {
                        case 'id':
                                $data = $id;
                                break;
                        case 'url':
                                $data = \wp_get_attachment_url( $id );
                                break;
                        case 'filename':
                                $path = \get_attached_file( $id );
                                $data = Helper::isNonEmptyStr( $path ) ? \basename( $path ) : "";
                                break;
                        case 'path':
                                $data = \get_attached_file( $id );
                                break;
                        case 'title':
                                $data = \get_the_title( $id );
                                break;
                        case 'caption':
                                $post = \get_post( $id );
                                $data = isset( $post->post_excerpt ) ? $post->post_excerpt : "";
                                break;
                        case 'description':
                                $post = \get_post( $id );
                                $data = isset( $post->post_content ) ? $post->post_content : "";
                                break;
                        case 'alt':
                                $data = \get_post_meta( $id, '_wp_attachment_image_alt', true );
                                break;
                }

                return $data;
        }

}
