<?php



namespace WpieApp\Modules\Export\Controller\Items\Base\Fields;

use WpieApp\Modules\Export\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Base\Fields\InterfaceField;

defined( 'WPIE__FILE__' ) || exit;


class Meta implements InterfaceField {

        
        const FIELD_TYPE = "meta";

        
        public static function get() {

                $fields = [
                        "title"       => esc_html__( "Meta Fields", 'wp-import-export' ),
                        "priority"    => 60,
                        "dateCompare" => true,
                        "data"        => static::getFields( Settings::getContentType() )
                ];

                
                return \apply_filters( 'Wpie/Export/Base/Fields/Meta', $fields, Settings::getContentType() );
        }

        
        public static function getFields( $contentType = '' ) {

                $keys = static::getMetaKeys( $contentType );

                
                $keys = \apply_filters( 'Wpie/Export/Base/Fields/Meta/Pre', $keys, $contentType );

                if ( !Helper::isNonEmptyArray( $keys ) ) {
                        return [];
                }

                return Helper::getNormalizedField( $keys, static::FIELD_TYPE );
        }

        
        protected static function getMetaKeys( $contentType = '' ) {

                return [];
        }

        
        protected static function getExcludesMeta( $contentType = '' ) {

                
                $excludes = apply_filters( 'Wpie/Export/Base/Fields/Meta/Excludes', [], $contentType );

                return Helper::isNonEmptyArray( $excludes ) ? array_unique( $excludes ) : [];
        }

        
        protected static function getExcludesMetaQuery( $contentType = '' ) {

                
                return \apply_filters( 'Wpie/Export/Base/Fields/Meta/Query/Where', [], $contentType );
        }
}
