<?php



namespace WpieApp\Modules\Export\Controller\Items\Comment\DataCenters;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Comment\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Parents {

        private static $comment = [];

        
        public static function getField() {

                $element = DataCenter::getFieldOption( "element" );

                if ( Helper::isEmptyStr( $element ) ) {
                        return "";
                }

                $parent = isset( DataCenter::getItem()->comment_parent ) ? DataCenter::getItem()->comment_parent : 0;

                if ( absint( $parent ) <= 0 ) {
                        return "";
                }

                $comment = self::getComment( $parent );

                if ( !$comment ) {
                        return "";
                }

                $data = isset( $comment->$element ) ? $comment->$element : "";

                
                return \apply_filters( 'Wpie/Export/Comment/Parent/Data', $data, Settings::getContentType() );
        }

        
        public static function getComment( $commentId = 0 ) {

                if ( absint( $commentId ) <= 0 ) {
                        return [];
                }

                if ( !isset( self::$comment[ $commentId ] ) ) {

                        self::$comment = [ $commentId => \get_comment( $commentId ) ];
                }

                return self::$comment[ $commentId ];
        }

}
