<?php



namespace WpieApp\Modules\Export\Controller\Items\Post;

use WpieApp\Modules\Export\Controller\Settings;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Image;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Attachment;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Standard;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Meta;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Taxonomy;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Author;
use WpieApp\Modules\Export\Controller\Items\Post\Fields\Other;
use WpieApp\Modules\Export\Controller\Items\Base\Fields as BaseFields;

defined( 'WPIE__FILE__' ) || exit;


class Fields extends BaseFields {

        
        public static function get() {

                $contentType = Settings::getContentType();

                
                \do_action( 'Wpie/Export/Post/Fields/Init', $contentType );

                
                return \apply_filters( 'Wpie/Export/Post/Fields', parent::get(), $contentType );
        }

        
        protected static function getData() {

                return [
                        "standard"   => Standard::get(),
                        "meta"       => Meta::get(),
                        "taxonomy"   => Taxonomy::get(),
                        "image"      => Image::get(),
                        "attachment" => Attachment::get(),
                        "author"     => Author::get(),
                        "other"      => Other::get()
                ];
        }
}
