<?php



namespace WpieApp\Modules\Export\Controller\Items\Taxonomy\Filters;

use WpieApp\Core\Utils\DB;
use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Export\Controller\Items\Taxonomy\Filter;
use WpieApp\Modules\Export\Controller\Items\Base\Filters\Filter as BaseFilter;

defined( 'WPIE__FILE__' ) || exit;


class Parents extends BaseFilter {
        
         
        protected static $isJoinQueryAdded = false;

        
        public static function addRule() {

                $element = Filter::getOption( "element", "field" );

                if ( !in_array( $element, [ 'parent_name', 'parent_slug' ] ) ) {
                        return false;
                }

                self::addJoinQuery();

                $newElemet = ($element === "parent_name") ? "name" : "slug";

                $condition = Filter::getOption( 'condition' );

                $data = Filter::getOption( 'value' );

                $field = self::getTableAlias( 'term' ) . '.' . $newElemet;

                $comparison = Filter::getOption( 'comparison' );

                $rule = Filter::bulidRule( $field, $data, $condition, $comparison );

                if ( in_array( $condition, [ "not_equals", "not_contains", "not_in" ] ) ) {
                        $rule .= " OR " . $field . " IS NULL ";
                }

                Filter::addWhere( $rule );
        }

        
        private static function addJoinQuery() {

                if ( self::$isJoinQueryAdded ) {
                        return;
                }

                self::$isJoinQueryAdded = true;

                $taxAlias  = self::getTableAlias( 'tt' );
                $termAlias = self::getTableAlias( 'term' );

                Filter::addJoin( " LEFT JOIN " . DB::wpdb()->term_taxonomy . " AS " . $taxAlias . " ON (`t`.`term_id` = " . $taxAlias . ".`term_id`)" );
                Filter::addJoin( " LEFT JOIN " . DB::wpdb()->terms . " AS " . $termAlias . " ON (" . $taxAlias . ".`parent` = " . $termAlias . ".`term_id`)" );
        }

}
