<?php



namespace WpieApp\Modules\Import\Controller\ContentType;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Post Extends Base {

        
        protected static $category = 'standard';

        
        protected static $filePrefix = 'post';

        
        protected static $contentType = 'post';

        
        protected static $fields = [ 'excerpt', 'posttype', 'permalink', 'pingstatus', 'postmodifieddate' ];

        
        public static function processData() {

                $isSuccess = false;

                if ( isset( self::$data[ 'posttype' ] ) && Helper::isNonEmptyStr( self::$data[ 'posttype' ] ) ) {
                        $isSuccess = self::set( self::$data[ 'posttype' ] );
                }

                if ( false === $isSuccess ) {
                        $isSuccess = self::setByFilename();
                }

                return $isSuccess;
        }

        
        public static function set( $type = '' ) {

                if ( in_array( $type, [ 'page', 'post' ] ) ) {
                        self::$category    = 'standard';
                        self::$contentType = $type;

                        return true;
                }

                $customPosts = Helper::getCustomPostTypes();

                if ( isset( $customPosts[ $type ] ) ) {
                        self::$category    = 'posts';
                        self::$contentType = $type;
                        return true;
                }

                return false;
        }

        
        public static function setByFilename() {

                $name = Settings::get( 'file' );

                if ( Helper::strStartsWith( 'post', strtolower( $name ) ) ) {
                        self::setContentType();
                        return true;
                }
                if ( Helper::strStartsWith( 'page', strtolower( $name ) ) ) {
                        self::$contentType = 'page';
                        self::setContentType();
                        return true;
                }


                $isSuccess = false;

                $customPosts = Helper::getCustomPostTypes();

                foreach ( $customPosts as $key => $label ) {

                        if ( Helper::strStartsWith( strtolower( $label ), strtolower( $name ) ) ) {
                                self::$category    = 'posts';
                                self::$contentType = $key;
                                $isSuccess         = true;
                                break;
                        }
                }

                if ( $isSuccess ) {
                        self::setContentType();
                }

                return $isSuccess;
        }
}
