<?php



namespace WpieApp\Modules\Import\Controller\File\Downloader\Url\Downloader\Headers;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Wp {

	
	public static function get( $uri ) {

		$response = \wp_remote_head(
			$uri,
			[
				'timeout'	 => Base::Timeout,
				'redirection'	 => Base::Redirection,
				'sslverify'	 => Base::SSL_Verify,
			]
		);

		$status = Helper::toInt( \wp_remote_retrieve_response_code( $response ) );

		if ( $status === 400 || $status >= 500 ) {
			$errorMsg = \wp_remote_retrieve_response_message( $response );
			return new WP_Error( 'wpieError', $errorMsg );
		}



		if ( \is_wp_error( $response ) || 200 !== $status ) {
			return false;
		}

		$headers = \wp_remote_retrieve_headers( $response );

		$data = [];

		if ( $headers instanceof \Requests_Utility_CaseInsensitiveDictionary ) {
			$data = $headers->getAll();
		} else {
			$data = $headers;
		}

		if ( !Helper::isNonEmptyArray( $data ) ) {
			return false;
		}

		return [
			'content-type'		 => isset( $data[ 'content-type' ] ) ? $data[ 'content-type' ] : "",
			'content-disposition'	 => isset( $data[ 'content-disposition' ] ) ? $data[ 'content-disposition' ] : ""
		];
	}

}
