<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Attachment {

	
	protected static $data = [];

	
	protected static $author = 0;

	
	protected static $parent = 0;

	
	protected static $publishDate = "";

	
	protected static function insertAttachment( $file = "" ) {

		if ( !file_exists( $file ) ) {
			return false;
		}

		$fileType = \wp_check_filetype( $file );

		$options = [
			'post_type'	 => 'attachment',
			'post_status'	 => 'inherit',
			'post_mime_type' => isset( $fileType[ 'type' ] ) ? $fileType[ 'type' ] : "",
			'post_author'	 => self::$author,
			'post_parent'	 => self::$parent,
			'post_date'	 => self::$publishDate,
		];

		$id = \wp_insert_attachment( $options, $file, self::$parent );

		if ( is_int( $id ) && $id > 0 ) {

			// The image sub-sizes are created during wp_generate_attachment_metadata().
			// This is generally slow and may cause timeouts or out of memory errors.
			\wp_update_attachment_metadata( $id, \wp_generate_attachment_metadata( $id, $file ) );
		}

		return $id;
	}

}
