<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\Engines\Images;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Relink {

        
        private static $data = [];

        
        private static $content = "";

        
        public static function get( $content = "" ) {

                if ( !Helper::isNonEmptyStr( $content ) ) {
                        return $content;
                }

                if ( Helper::contains( $content, "<img" ) === false ) {
                        return $content;
                }

                self::$content = $content;

                self::setSrcUrls();

                self::setSrcsetUrls();

                if ( !Helper::isNonEmptyArray( self::$data ) ) {
                        return;
                }

                self::$data = array_unique( self::$data );

                self::download();

                return self::$content;
        }

        
        private static function download() {

                //upload directories
                $wpupload_dir = \wp_upload_dir();

                $baseurl = isset( $wpupload_dir[ 'baseurl' ] ) ? $wpupload_dir[ 'baseurl' ] : '';

                foreach ( self::$data as $url ) {

                        if ( Helper::contains( $url, $baseurl ) !== false ) {
                                continue;
                        }
                        $id = Source::upload( $url );

                        if ( is_numeric( $id ) && absint( $id ) > 0 ) {
                                self::$content = str_replace( $url, \wp_get_attachment_url( absint( $id ) ), self::$content );
                        }
                }
        }

        
        private static function setSrcUrls() {

                $matches = [];

                preg_match_all( '/<img\s+[^>]*src=([\'"])(.*?)\1[^>]*>/i', self::$content, $matches );

                if ( !isset( $matches[ 1 ] ) || !Helper::isNonEmptyArray( $matches[ 1 ] ) ) {
                        return;
                }

                self::$data = $matches[ 1 ];
        }

        
        private static function setSrcsetUrls() {

                if ( Helper::contains( self::$content, "srcset" ) === false ) {
                        return;
                }

                $matches = [];

                preg_match_all( '/<img\s+[^>]*srcset=([\'"])(.*?)\1[^>]*>/i', self::$content, $matches );

                if ( !isset( $matches[ 2 ] ) || !Helper::isNonEmptyArray( $matches[ 2 ] ) ) {
                        return;
                }

                $url_matches = [];

                $urls = [];

                foreach ( $matches[ 2 ] as $srcset ) {
                        preg_match_all( '/\S+/', $srcset, $url_matches );
                        $urls = array_merge( $urls, $url_matches[ 0 ] );
                }

                self::$data = array_merge( self::$data, $urls );
        }

}
