<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\Fields\Image;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class RenameFile {

        
        public static function getBlocks() {

                return [
                        "title"  => __( 'Rename File', 'wp-import-export' ),
                        "desc"   => __( 'Image Rename', 'wp-import-export' ),
                        "order"  => 60,
                        "uid"    => Helper::randStr( "wpie-field-" ),
                        "fields" => [
                                "item-rename"           => [
                                        "order"      => 20,
                                        "label"      => __( 'New filename', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "item-rename-data" => [
                                                        "description" => __( 'Image new name with or without extension.', 'wp-import-export' ),
                                                        "type"        => "textarea",
                                                        "class"       => "wpie-image-rename",
                                                        "order"       => 20,
                                                        "name"        => "fields/images/rename/data",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Only new images will be renamed. Existing images will be unaffected.', 'wp-import-export' ), 'class' => 'text-danger' ]
                                                        ]
                                                ]
                                        ],
                                ],
                                "item-rename-separator" => [
                                        "order"      => 30,
                                        "label"      => __( 'Filename separator', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "item-separator" => [
                                                        "description" => __( 'each Image Filename separated by', 'wp-import-export' ),
                                                        "type"        => "text",
                                                        "class"       => "wpie-image-rename-separator",
                                                        "order"       => 30,
                                                        "name"        => "fields/images/rename/separator",
                                                        "hint"        => [
                                                                [ 'text' => __( 'Optional', 'wp-import-export' ) ],
                                                                [ 'text' => __( 'Default : Comma (,)', 'wp-import-export' ) ]
                                                        ]
                                                ],
                                        ],
                                ],
                        ]
                ];
        }

}
