<?php



namespace WpieApp\Modules\Import\Controller\Items\Base\Fields\Meta;

use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Options {

        
        public static function getBlocks() {

                return [
                        "title"      => __( 'Settings', 'wp-import-export' ),
                        "desc"       => __( 'Meta Settings', 'wp-import-export' ),
                        "order"      => -10,
                        "uid"        => Helper::randStr( "wpie-field-" ),
                        "block-type" => "options",
                        "fields"     => [
                                "manage-existing" => [
                                        "order"      => 10,
                                        "label"      => __( 'Manage Existing', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "update-existing" => [
                                                        "name"    => "fields/meta/option/manage-existing",
                                                        "class"   => "wpie-meta-manage-existing",
                                                        "order"   => 5,
                                                        "type"    => "radio",
                                                        "default" => "append",
                                                        "choices" => [
                                                                "append" => __( "Append Metas", 'wp-import-export' ),
                                                                "remove" => __( "Replace Metas", 'wp-import-export' )
                                                        ],
                                                        "hints"   => [
                                                                "append" => __( "Append new Meta and keep/Replace Existing Meta", 'wp-import-export' ),
                                                                "remove" => __( "Remove/Replace existing and Add new Meta", 'wp-import-export' )
                                                        ],
                                                ]
                                        ]
                                ],
                                "skip-empty"      => [
                                        "order"      => 20,
                                        "label"      => __( 'Skip Empty', 'wp-import-export' ),
                                        "sub-fields" => [
                                                "skip-empty" => [
                                                        "description" => __( "it's highly recommended. If custom field value is empty then it skip perticular field and not add to database. it's save memory and increase import speed", 'wp-import-export' ),
                                                        "name"        => "fields/meta/option/skip-empty",
                                                        "class"       => "wpie-meta-skip-empty",
                                                        "order"       => 5,
                                                        "type"        => "checkbox",
                                                        "default"     => [ "1" ],
                                                        "choices"     => [ "1" => __( "Don't add Empty value fields in database.", 'wp-import-export' ) ],
                                                ]
                                        ]
                                ],
                        ]
                ];
        }

}
