<?php



namespace WpieApp\Modules\Import\Controller\Items\Base;

use WpieApp\Modules\Import\Controller\Settings;

defined( 'WPIE__FILE__' ) || exit;


class Process {

        
        protected static $isPending = null;

        
        protected static $itemId = 0;

        
        public static function init() {

                if ( !is_null( static::$isPending ) ) {
                        return;
                }

                static::$isPending = (1 === absint( Settings::getOption( 'process/pending' ) ));

                static::$itemId = static::$isPending ? Settings::getOption( 'process/id' ) : 0;
        }

        
        public static function save() {

                if ( !static::$isPending ) {
                        return static::reset();
                }

                $data = [
                        'id'      => DataCenter::getId(),
                        'pending' => 1
                ];

                Settings::setOption( 'process', $data );
        }

        
        public static function set() {

                if ( !is_null( static::$isPending ) ) {
                        return;
                }

                static::$isPending = (1 === absint( Settings::getOption( 'process/pending' ) ));
        }

        
        public static function setPending() {
                static::$isPending = true;
        }

        
        public static function isPending() {
                return static::$isPending;
        }

        
        public static function getItemId() {
                return static::$itemId;
        }

        
        public static function reset() {

                if ( static::$itemId < 1 ) {
                        return;
                }

                static::$itemId = 0;

                static::$isPending = false;

                Settings::setOption( 'process', '' );
        }
}
