<?php



namespace WpieApp\Modules\Import\Controller\Items\Base;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Settings;
use WpieApp\Modules\Base\Controller\RecordsPerIteration as Base;

defined( 'WPIE__FILE__' ) || exit;


class RecordsPerIteration extends Base {

        
        protected static $default = 50;

        
        public static function get() {

                $number = Helper::toInt( Settings::get( 'records_per_iteration' ) );

                if ( $number > 0 ) {
                        return $number;
                }

                $data = Settings::getOption( 'iteration', [] );

                return is_array( $data ) && isset( $data[ 'number' ] ) && Helper::toInt( $data[ 'number' ] ) > 0 ? Helper::toInt( $data[ 'number' ] ) : self::$default;
        }

        
        public static function set() {

                $number = Helper::toInt( Settings::get( 'records_per_iteration' ) );

                if ( $number > 0 ) {
                        return true;
                }

                self::prepare();

                return true;
        }

        
        protected static function prepare() {

                $data = Settings::getOption( 'iteration', [] );

                $total = Helper::toInt( Settings::get( 'total' ) ) > 0 ? Helper::toInt( Settings::get( 'total' ) ) : 0;

                $data = parent::calculate( $data, $total );

                $diff = $data[ 'max' ] - $data[ 'min' ];

                if ( ($data[ 'number' ] < 200 && $diff < 10) || ($data[ 'number' ] >= 200 && $diff < 20) ) {

                        Settings::set( 'records_per_iteration', $data[ 'number' ] );
                }

                Settings::setOption( 'iteration', $data );

                unset( $data, $diff );
        }
}
