<?php



namespace WpieApp\Modules\Import\Controller\Items\Comment\AutoSearch;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Comment\DataCenter;
use WpieApp\Modules\Import\Controller\Items\Comment\Engines\Post;
use WpieApp\Modules\Import\Controller\Items\Comment\Engines\Standard;

defined( 'WPIE__FILE__' ) || exit;


class Data {

        
        public static function getPost() {

                $field = DataCenter::canUpdate( "post/post_data" ) ? DataCenter::get( "post/post_data/data" ) : '';

                if ( !Helper::isNonEmptyStr( $field ) ) {

                        $field = DataCenter::getFileData( '{postslug}' );

                        $field = Helper::isNonEmptyStr( $field ) ? $field : DataCenter::getFileData( '{posttitle}' );
                }

                if ( !Helper::isNonEmptyStr( $field ) ) {
                        return false;
                }

                $postID = Post::getPost( $field );

                return $postID;
        }

        
        public static function getAuthor() {

                $field = DataCenter::canUpdate( "author/email" ) ? DataCenter::get( "author/email/data" ) : '';

                if ( !Helper::isNonEmptyStr( $field ) ) {

                        $field = DataCenter::getFileData( '{authoremail}' );
                }
                $field = \filter_var( $field, FILTER_VALIDATE_EMAIL );

                if ( false === $field || !Helper::isNonEmptyStr( $field ) ) {
                        return false;
                }

                return $field;
        }

        
        public static function getContent() {

                $field = DataCenter::canUpdate( "standard/content" ) ? DataCenter::get( "standard/content/data" ) : "";

                if ( !Helper::isNonEmptyStr( $field ) ) {

                        $field = DataCenter::getFileData( '{content}' );
                }

                if ( !Helper::isNonEmptyStr( $field ) ) {
                        return false;
                }

                return $field;
        }

        
        public static function getIp() {

                $field = DataCenter::canUpdate( "author/ip" ) ? DataCenter::get( "author/ip/data" ) : "";

                if ( !Helper::isNonEmptyStr( $field ) ) {

                        $field = DataCenter::getFileData( '{authorip}' );
                }

                $ipAddress = Helper::isNonEmptyStr( $field ) ? \filter_var( $ipAddress, FILTER_VALIDATE_IP ) : '';

                if ( false === $ipAddress || !Helper::isNonEmptyStr( $ipAddress ) ) {
                        return false;
                }

                return $ipAddress;
        }

        
        public static function getDate() {

                $field = DataCenter::canUpdate( "standard/date_gmt" ) ? DataCenter::get( "standard/date_gmt/data" ) : '';

                $field = !Helper::isNonEmptyStr( $field ) && DataCenter::canUpdate( "standard/date" ) ? DataCenter::get( "standard/date/data" ) : $field;

                if ( !Helper::isNonEmptyStr( $field ) ) {

                        $field = DataCenter::getFileData( '{dategmt}' );

                        $field = Helper::isNonEmptyStr( $field ) ? $field : DataCenter::getFileData( '{date}' );
                }

                if ( !Helper::isNonEmptyStr( $field ) || 'now' === $field ) {
                        return false;
                }

                $date = Standard::getDate( $field );

                return $date;
        }

}
