<?php



namespace WpieApp\Modules\Import\Controller\Items\Post\Engines\Images;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Post\DataCenter;
use WpieApp\Modules\Import\Controller\Items\Base\Engines\Images\Existing as BaseExisting;

defined( 'WPIE__FILE__' ) || exit;


class Existing extends BaseExisting {

        
        protected static function set() {

                if ( DataCenter::isNewItem() ) {
                        return;
                }

                $thumbnail = \get_post_meta( DataCenter::getId(), '_thumbnail_id', true );

                $thumbnailQuery = absint( $thumbnail ) > 0 ? DB::wpdb()->prepare( " OR `ID` = %d ", $thumbnail ) : "";

                self::$data = DB::wpdb()->get_results(
                        DB::wpdb()->prepare(
                                "SELECT `ID`,`post_title` FROM " . DB::wpdb()->posts
                                . " WHERE  "
                                . " ( `post_parent` = %d " . $thumbnailQuery . " ) "
                                . " AND `post_type` = 'attachment' "
                                . " ORDER BY `ID` ASC"
                                , DataCenter::getId()
                        ),
                        ARRAY_A
                );
        }

}
