<?php



namespace WpieApp\Modules\Import\Controller\Items\Term\Engines;

use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Term\Settings;
use WpieApp\Modules\Import\Controller\Items\Term\DataCenter;
use WpieApp\Modules\Import\Controller\Items\Term\Search;

defined( 'WPIE__FILE__' ) || exit;


class Parents {

        
        private static $isHierarchical;

        
        public static function get() {

                if ( !DataCenter::canUpdate( "parent/item" ) || false === self::isHierarchical() ) {
                        return [];
                }

                $parentId = self::getParent();

                if ( !is_numeric( $parentId ) || 1 > $parentId ) {
                        return [];
                }

                return [ 'parent' => $parentId ];
        }

        
        public static function isHierarchical() {

                if ( !is_bool( self::$isHierarchical ) ) {

                        $taxonomy = Settings::getTaxonomy();

                        self::$isHierarchical = \is_taxonomy_hierarchical( $taxonomy );
                }

                return self::$isHierarchical;
        }

        
        public static function getParent() {

                $id = self::getTerm( 'slug' );

                if ( 0 < Helper::toInt( $id ) ) {
                        return Helper::toInt( $id );
                }

                return Helper::toInt( self::getTerm( 'name' ) );
        }

        
        public static function getTerm( $field = '' ) {

                $data = DataCenter::canUpdate( "parent/item" ) ? DataCenter::get( "parent/" . $field . "/data" ) : '';

                $data = Helper::isNonEmptyStr( $data ) ? $data : DataCenter::getFileData( '{parent' . $field . '}' );

                if ( !Helper::isNonEmptyStr( $data ) ) {
                        return 0;
                }

                $taxonomy = Settings::getTaxonomy();

                return Search::getTermIdBy( $field, $data, $taxonomy );
        }
}
