<?php



namespace WpieApp\Modules\Import\Controller\Items\User\Engines;

use WpieApp\Core\Utils\DB;
use WpieApp\Modules\Import\Helpers\Helper;
use WpieApp\Modules\Import\Controller\Items\Base\Engines\Meta as BaseMeta;
use WpieApp\Modules\Import\Controller\Items\User\DataCenter;

defined( 'WPIE__FILE__' ) || exit;


class Meta extends BaseMeta {

        
        public static function updateMeta( $key = '', $val = '' ) {

                if ( !Helper::isNonEmptyStr( $key ) ) {
                        return;
                }

                \update_user_meta( DataCenter::getId(), $key, $val );
        }

        
        public static function get( $key = '', $single = false ) {

                if ( !Helper::isNonEmptyStr( $key ) ) {
                        return '';
                }

                return \get_user_meta( DataCenter::getId(), $key, $single );
        }

        
        protected static function remove( $data = [] ) {

                $query = Helper::isNonEmptyArray( $data ) ? " AND `meta_key` NOT IN( " . DB::prepareData( $data ) . ' ) ' : '';

                DB::wpdb()->prepare( "DELETE FROM " . DB::wpdb()->usermeta . " WHERE `user_id` = %d " . $query, DataCenter::getId() );
        }

        
        protected static function getExcludes() {

                $caps = DB::wpdb()->get_blog_prefix() . 'capabilities';

                return [ 'first_name', 'last_name', 'nickname', 'description', $caps ];
        }
}
