<?php



namespace WpieApp\Modules\Import\Controller;

use WpieApp\Core\Utils\Date;
use WpieApp\Modules\Import\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Schedule {

        
        public static function run( $id = 0, $action = 'new' ) {

                if ( absint( $id ) < 1 ) {
                        return;
                }

                Settings::load( $id );

                if ( $action === 'skip' ) {

                        return self::updateLog( true );
                }

                self::add( $id );
        }

        
        public static function add( $id = 0 ) {

                if ( absint( $id ) < 1 ) {
                        return;
                }

                Process::duplicate( 'background' );

                self::updateLog();
        }

        
        private static function updateLog( $skip = false ) {

                $current_time = Date::now();

                $recurrences = Settings::getOption( 'schedule/recurrences', 0 );
                $recurrences = \is_numeric( $recurrences ) ? (absint( $recurrences ) + 1) : 1;

                $options = [
                        'schedule/recurrences' => $recurrences,
                        'schedule/last-run'    => $current_time
                ];

                if ( $recurrences === 1 ) {
                        $options[ 'schedule/first-run' ] = $current_time;
                }

                if ( $skip ) {
                        $skipCount                     = Settings::getOption( 'schedule/skipped', 0 );
                        $options[ 'schedule/skipped' ] = \is_numeric( $skipCount ) ? (absint( $skipCount ) + 1) : 1;
                }

                Settings::setOptions( $options );
        }
}
