<?php



namespace WpieApp\Modules\Import\View\FileSettings;

defined( 'WPIE__FILE__' ) || exit;


class Settings {

	
	public static function getBlocks() {

		
		return \apply_filters(
			'Wpie/Modules/Import/View/FileSettings/Settings',
			[
				"title"	 => __( 'Load Settings', 'wp-import-export' ),
				"desc"	 => __( 'Load Saved Settings', 'wp-import-export' ),
				"order"	 => 20,
				"fields" => [
					"load-settings"	 => [
						"order"		 => 10,
						"label"		 => __( 'Load Saved Settings', 'wp-import-export' ),
						"sub-fields"	 => [
							"setting-list"	 => [
								"type"		 => "select",
								"placeholder"	 => __( "Choose Setting", 'wp-import-export' ),
								"order"		 => 5,
								"class"		 => "wpie-setting-list wpie-filesetup-saved-settings wpie-saved-setting-list",
								"default"	 => [],
								"description"	 => __( 'It will load previously saved settings', 'wp-import-export' ),
								"choices"	 => []
							],
//							"submit-button"	 => [
//								"type"		 => "button",
//								"order"		 => 120,
//								"label"		 => __( 'Confirm', 'wp-import-export' ),
//								"icon-class"	 => "fa-solid fa-check",
//								"class"		 => "wpie-change-setting-btn btn-primary d-none",
//							]
						],
					],
					"load-imports"	 => [
						"order"		 => 20,
						"label"		 => __( 'Load Another Imports', 'wp-import-export' ),
						"sub-fields"	 => [
							"setting-list"	 => [
								"type"		 => "select",
								"placeholder"	 => __( "Choose Import", 'wp-import-export' ),
								"order"		 => 5,
								"class"		 => "wpie-setting-list wpie-filesetup-import-settings wpie-load-import-settings",
								"default"	 => [],
								"description"	 => __( 'Settings from previous imports will be loaded', 'wp-import-export' ),
								"choices"	 => []
							],
//							"submit-button"	 => [
//								"type"		 => "button",
//								"order"		 => 120,
//								"label"		 => __( 'Confirm', 'wp-import-export' ),
//								"icon-class"	 => "fa-solid fa-check",
//								"class"		 => "wpie-change-setting-btn btn-primary d-none",
//							]
						],
					],
				]
			]
		);
	}

}
