<?php



namespace WpieApp\Modules\Import\View\FileSetup;

defined( 'WPIE__FILE__' ) || exit;


class Dropbox {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/Dropbox',
                        [
                                "title"        => __( 'From Dropbox', 'wp-import-export' ),
                                "desc"         => __( 'Download file from dropbox', 'wp-import-export' ),
                                "order"        => 90,
                                "notes"        => self::getNotes(),
                                "pro-backdrop" => WPIE_PRO ? false : true,
                                "fields"       => [
                                        "access-token"  => [
                                                "order"      => 5,
                                                "label"      => __( 'Access Token', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        [
                                                                "type"        => "text",
                                                                "order"       => 5,
                                                                "class"       => "wpie-dropbox-access-token",
                                                                "description" => __( 'Dropbox App Access Token', 'wp-import-export' )
                                                        ]
                                                ]
                                        ],
                                        "submit-button" => [
                                                "order"      => 120,
                                                "sub-fields" => [
                                                        [
                                                                "type"       => "button",
                                                                "order"      => 5,
                                                                "label"      => __( 'Connect', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-link",
                                                                "class"      => "wpie-connnect-dropbox-btn btn-primary"
                                                        ],
                                                ]
                                        ],
                                ]
                        ]
                );
        }
        
        public static function getNotes() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/Dropbox/Notes',
                        [
                                [
                                        "type"       => "info",
                                        "icon-class" => "fa-solid fa-circle-info ",
                                        "class"      => "mb-4 wpie-info-alert",
                                        "text"       => sprintf(
                                                /* translators: Link to the upload from Dropbox documentation. */
                                                __(
                                                        '<a href="%s" target="_blank" class="wpie-info-alert-link">Click here</a> to learn the step-by-step process for downloading files from dropbox',
                                                        'wp-import-export'
                                                ),
                                                \esc_url( WPIE_DOC_URL . 'downloading-files-from-dropbox' )
                                        )
                                ]
                        ]
                );
        }
}
