<?php



namespace WpieApp\Modules\Import\View\FileSetup;

defined( 'WPIE__FILE__' ) || exit;


class Reimport {

        
        public static function getBlocks() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/Reimport',
                        [
                                "title"  => __( 'Reimport', 'wp-import-export' ),
                                "desc"   => __( 'From other imports', 'wp-import-export' ),
                                "order"  => 20,
                                "notes"  => self::getNotes(),
                                "fields" => [
                                        "select-file" => [
                                                "order"      => 5,
                                                "label"      => __( 'Choose Import', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "file-list"     => [
                                                                "type"        => "select",
                                                                "placeholder" => __( "Select any Import", 'wp-import-export' ),
                                                                "order"       => 5,
                                                                "class"       => "wpie-reimport-data",
                                                                "default"     => [],
                                                                "description" => __( 'Select the file and settings from previous imports', 'wp-import-export' ),
                                                                "choices"     => [],
                                                                "hint"        => [
                                                                        [ 'text' => __( 'A new file will be downloaded directly from the original source', 'wp-import-export' ) ],
                                                                        [ 'text' => __( 'If a local file is uploaded, it will be copied as is', 'wp-import-export' ) ],
                                                                        [ 'text' => __( 'All settings will be loaded', 'wp-import-export' ) ],
                                                                ]
                                                        ],
                                                        "submit-button" => [
                                                                "type"       => "button",
                                                                "order"      => 120,
                                                                "label"      => __( 'Confirm', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-check",
                                                                "class"      => "wpie-reimport-btn btn-primary",
                                                        ]
                                                ]
                                        ]
                                ]
                        ]
                );
        }

        
        public static function getNotes() {

                
                return \apply_filters(
                        'Wpie/Modules/Import/View/FileSetup/Reimport/Notes',
                        [
                                [
                                        "type"       => "info",
                                        "icon-class" => "fa-solid fa-circle-info ",
                                        "class"      => "mb-4 wpie-info-alert",
                                        "text"       => sprintf(
                                                /* translators: Link to the download from url documentation. */
                                                __(
                                                        '<a href="%s" target="_blank" class="wpie-info-alert-link">Click here</a> to learn the step-by-step process for re-importing any file',
                                                        'wp-import-export'
                                                ),
                                                \esc_url( WPIE_DOC_URL . 'reimport' )
                                        )
                                ]
                        ]
                );
        }
}
