<?php

namespace WpieApp\Modules\License;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Providers\Middleware as BaseMiddleware;

defined( 'WPIE__FILE__' ) || exit;


class Middleware extends BaseMiddleware {

        
        public function boot() {

                if ( !WPIE_PRO ) {
                        return;
                }
                // add menu...
                $this->createMenu( __( 'License', 'wp-import-export' ), $this->getAssets(), 99 );
        }

        
        public function getAssets() {

                $moduleURL = Helper::activeModuleURL();

                return [
                        'scripts' => [
                                Helper::PLUGIN_PREFIX . 'license' => [
                                        "src"  => $moduleURL . '/assets/js/license.js',
                                        "deps" => [ 'jquery', Helper::PLUGIN_PREFIX . 'admin' ],
                                ]
                        ]
                ];
        }
}
