<?php



namespace WpieApp\Modules\Security\View\Security;

use WpieApp\Core\Helpers\Helper;
use WpieApp\Providers\Menu;

defined( 'WPIE__FILE__' ) || exit;


class PluginAccess {

        
        public static function getBlocks() {

                if ( function_exists( "\wp_roles" ) ) {
                        $roles = \wp_roles()->get_names();
                } else {
                        global $wp_roles;
                        $roles = $wp_roles->get_names();
                }

                if ( isset( $roles[ 'administrator' ] ) ) {
                        unset( $roles[ 'administrator' ] );
                }

                $permissions = Menu::getCapabilities();

                
                return \apply_filters(
                        'Wpie/Modules/Security/View/RobotTxt',
                        [
                                "title"    => __( 'Plugin Access', 'wp-import-export' ),
                                "isActive" => true,
                                "order"    => 10,
                                "desc"     => __( 'Manage Plugin Access', 'wp-import-export' ),
                                "fields"   => [
                                        "custom-user" => [
                                                "order"      => 10,
                                                "label"      => __( 'Add Permission to User', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "custom-user"   => [
                                                                "type"        => "text",
                                                                "order"       => 20,
                                                                "class"       => "wpie-custom-user-emails",
                                                                "is-switch"   => true,
                                                                "description" => __( 'Enter User Email. Multiple emails by ,(comma) separated', 'wp-import-export' ),
                                                        ],
                                                        "permissions"   => [
                                                                "type"      => "checkbox",
                                                                "order"     => 30,
                                                                "class"     => "wpie-user-permissions-txt",
                                                                "is-switch" => true,
                                                                "default"   => [],
                                                                "choices"   => $permissions
                                                        ],
                                                        "submit-button" => [
                                                                "type"       => "button",
                                                                "order"      => 120,
                                                                "label"      => __( 'Save User Access ', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-check",
                                                                "class"      => "wpie-save-user-access-btn btn-primary mb-5",
                                                        ]
                                                ],
                                        ],
                                        "user-role"   => [
                                                "order"      => 20,
                                                "label"      => __( 'Add Permission to User role', 'wp-import-export' ),
                                                "sub-fields" => [
                                                        "user-roles"    => [
                                                                "type"        => "select",
                                                                "order"       => 10,
                                                                "class"       => "wpie-user-roles",
                                                                "default"     => "",
                                                                "placeholder" => __( 'Please Select User role', 'wp-import-export' ),
                                                                "choices"     => $roles,
                                                                "description" => __( 'Add permission to user roles. single role have multiple users in site', 'wp-import-export' ),
                                                        ],
                                                        "permissions"   => [
                                                                "type"      => "checkbox",
                                                                "order"     => 30,
                                                                "class"     => "wpie-user-permissions-txt",
                                                                "is-switch" => true,
                                                                "default"   => [],
                                                                "choices"   => $permissions
                                                        ],
                                                        "submit-button" => [
                                                                "type"       => "button",
                                                                "order"      => 120,
                                                                "label"      => __( 'Save User Role Access', 'wp-import-export' ),
                                                                "icon-class" => "fa-solid fa-check",
                                                                "class"      => "wpie-save-user-access-btn btn-primary",
                                                        ]
                                                ],
                                        ],
                                ]
                        ]
                );
        }

}
