<?php



namespace WpieApp\Providers;

use WpieApp\Core\Helpers\Helper;

defined( 'WPIE__FILE__' ) || exit;


class Middleware {

        
        public function __construct() {
                if ( method_exists( $this, 'boot' ) ) {
                        $this->boot();
                }
        }

        
        protected function createMenu( $name = null, $assets = [], $position = 50 ) {

                $class = get_called_class();

                Helper::validateModuleRequest( $class );

                $module = Helper::getModuleFromClass( $class );

                $assets = Helper::isActiveModule( $module ) ? $assets : [];

                Menu::add( $name, $module, $assets, $position );

                if ( Helper::isActiveModule( $module ) && \method_exists( $this, 'addJsonData' ) ) {
                        $this->addJsonData();
                }
        }
}
